
textures/strp_dallas/hall_trim2
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/strp_dallas/hall_trim2.tga
        rgbGen identity
    }
}

textures/strp_dallas/light-red
{
    q3map_surfacelight 20
    surfaceparm nolightmap
    {
        map textures/strp_dallas/light-red.tga
    }
}

textures/strp_dallas/light-white
{
    q3map_surfacelight 20
    surfaceparm nolightmap
    {
        map textures/strp_dallas/light-white.tga
    }
}

textures/strp_dallas/celing_light
{
    q3map_surfacelight 200
    surfaceparm nolightmap
    {
        map textures/strp_dallas/celing_light.tga
        rgbGen identity
    }
}

textures/strp_dallas/engineering
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/engineering.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/engineering_a.tga textures/strp_dallas/engineering_b.tga textures/strp_dallas/engineering_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/environmental
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/environmental.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/environmental_a.tga textures/strp_dallas/environmental_b.tga textures/strp_dallas/environmental_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/helm-ops
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/helm-ops.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/helm-ops_a.tga textures/strp_dallas/helm-ops_b.tga textures/strp_dallas/helm-ops_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/life-support
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/life-support.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/life-support_a.tga textures/strp_dallas/life-support_b.tga textures/strp_dallas/life-support_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/bottom-part
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/bottom-part.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/bottom-part_a.tga textures/strp_dallas/bottom-part_b.tga textures/strp_dallas/bottom-part_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/propulsion
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/propulsion.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/propulsion_a.tga textures/strp_dallas/propulsion_b.tga textures/strp_dallas/propulsion_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/shields
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/shields.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/shields_a.tga textures/strp_dallas/shields_b.tga textures/strp_dallas/shields_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/warp-core
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/warp-core.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/warp-core_a.tga textures/strp_dallas/warp-core_b.tga textures/strp_dallas/warp-core_c.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/msd
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/msd.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/strp_dallas/ra-1
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/ra-1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/ra-1_a.tga textures/strp_dallas/ra-1.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/ra-2
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/ra-2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/ra-2_a.tga textures/strp_dallas/ra-2.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/ra-3
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/ra-3.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/strp_dallas/ra-3_a.tga textures/strp_dallas/ra-3.tga
        blendFunc GL_ONE GL_ONE
	  rgbGen wave sin	0.81 0.1 0 .5
	  detail
    }
}

textures/strp_dallas/backpanel
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/backpanel.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/strp_dallas/engineering_panel
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/engineering_panel.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/strp_dallas/nacelles
{
    surfaceparm nolightmap
    {
        map textures/strp_dallas/nacelles.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}